<template>
  <q-btn
    dense
    color="primary"
    no-caps
    :style="styleCustom"
    :class="classCustom"
    class="text-capitalize text-center q-px-lg q-py-xs"
    text-color="white"
    :label="label"
    :icon="icon"
    :type="type"
    :loading="loading"
    :disabled="isDisable"
    @click="$emit('click')"
  ></q-btn>
</template>

<script>
export default {
  props: {
    styleCustom: {
      type: String,
      required: false
    },

    type: {
      type: String,
      default: null
    },

    classCustom: {
      default: null
    },
    loading: {
      type: Boolean,
      required: false,
      default: false
    },
    label: {
      type: String,
      required: true
    },
    icon: {
      type: String,
      required: false
    },
    isDisable: {
      type: Boolean,
      required: false,
      default: false
    }
  }
};
</script>

<style></style>
